; Configuration file for Duet WiFi (firmware version 1.21)
; executed by the firmware on start-up
;
; generated by RepRapFirmware Configuration Tool on Wed Sep 26 2018 11:15:59 GMT+0100 (GMT Daylight Time)

; General preferences
G90                                                ; Send absolute coordinates...
M83                                                ; ...but relative extruder moves

; Network
M550 PPtah                                         ; Set machine name
M552 S1                                            ; Enable network
M587 S"******" P"********"                         ; Configure access point. You can delete this line once connected
M586 P0 S1                                         ; Enable HTTP
M586 P1 S1                                         ; Enable FTP
M586 P2 S1                                         ; Enable Telnet

; Drives
M569 P0 S0                                         ; Drive 0 goes backwards
M569 P1 S1                                         ; Drive 1 goes forwards
M569 P2 S0                                         ; Drive 2 goes backwards
M569 P3 S0                                         ; Drive 3 goes backwards
M350 X16 Y16 Z16 E16 I1                            ; Configure microstepping with interpolation
M92 X160 Y160 Z400 E100                            ; Set steps per mm
M566 X900 Y900 Z12 E120                            ; Set maximum instantaneous speed changes (mm/min)
M203 X15000 Y15000 Z1250 E1500                     ; Set maximum speeds (mm/min)
M201 X5000 Y2000 Z500 E400                         ; Set accelerations (mm/s^2)
M906 X1600 Y1600 Z900 E900 I30                     ; Set motor currents (mA) and motor idle factor in per cent
M84 S30                                            ; Set idle timeout

; Axis Limits
M208 X0 Y0 Z0 S1                                   ; Set axis minima
M208 X220 Y220 Z240 S0                             ; Set axis maxima

; Endstops
M574 X2 Y1 S0                                      ; Set active low endstops

; Z-Probe
M574 Z1 S2                                         ; Set endstops controlled by probe
M558 P1 H5 F120 T6000                              ; Set Z probe type to unmodulated and the dive height + speeds
;G31 P500 X-15 Y0 Z0.43                               ; Set Z probe trigger value, offset and trigger height
G31 P500 X-15 Y0 Z-0.065                               ; Set Z probe trigger value, offset and trigger height
M557 X20:200 Y30:200 S20                           ; Define mesh grid

; Heaters
M305 P0 T100000 B4138 C0 R4700                     ; Set thermistor + ADC parameters for heater 0
M143 H0 S120                                       ; Set temperature limit for heater 0 to 120C
M305 P1 T100000 B4138 C0 R4700                     ; Set thermistor + ADC parameters for heater 1
M143 H1 S280                                       ; Set temperature limit for heater 1 to 280C

; Fans
M106 P0 S0 I0 F500 H-1                             ; Set fan 0 value, PWM signal inversion and frequency. Thermostatic control is turned off
M106 P1 S0 I0 F500 H1 T45                          ; Set fan 1 value, PWM signal inversion and frequency. Thermostatic control is turned on
M106 P2 S0 I0 F500 H1 T160                         ; Set fan 2 value, PWM signal inversion and frequency. Thermostatic control is turned on

; Tools
M563 P0 D0 H1                                      ; Define tool 0
G10 P0 X0 Y0 Z0                                    ; Set tool 0 axis offsets
G10 P0 R0 S0                                       ; Set initial tool 0 active and standby temperatures to 0C

; Automatic power saving
M911 S10 R11 P"M913 X0 Y0 G91 M83 G1 Z3 E-5 F1000" ; Set voltage thresholds and actions to run on power loss

; Custom settings are not configured
M564 H0 

M581 E1 S1 T1 C1
